# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
Name:		drobo-utils
Version:	0.6.2.2
Release:	alt1_13
Summary:	Utilities for managing Drobo storage systems
Group:		File tools
License:	GPLv3
URL:		http://drobo-utils.sourceforge.net/
Source0:	http://downloads.sourceforge.net/drobo-utils/%{name}-%{version}.tgz
Source1:	drobo-utils.desktop
Source2:	droboview.console
Source3:	droboview.pam
BuildArch:	noarch
BuildRequires:	python-devel desktop-file-utils python-module-setuptools
Requires:	parted
Source44: import.info

%description	
Drobo-utils is a set of Linux tools to query and manage Data Robotics Drobo
storage systems (Drobos).  This base package provides the command line
utility.

%package gui
Summary:	GUI utilities for managing Drobo storage systems
Group:		File tools
Requires:	drobo-utils consolehelper

%description gui
Drobo-utils is a set of Linux tools to query and manage Data Robotics Drobo
storage systems (Drobos).  This package provides a graphical utility.

%prep
%setup -q

# Install the pam config so that droboview can request root privileges
install -p -m 644 %{SOURCE3} .

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build
sed -i -e "s/\#\!\/.*//g" DroboGUI.py

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

#Make sure DroboGUI.py is executable
chmod a+x %{buildroot}%{python_sitelibdir_noarch}/DroboGUI.py

#Install the menu entry
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

#Install man files
install -d -m755 %{buildroot}%{_mandir}/man8/
install -m 644 drobom.8 %{buildroot}%{_mandir}/man8/
install -m 644 droboview.8 %{buildroot}%{_mandir}/man8/

#Setup consolehelper so droboview can request root privileges
ln -sf consolehelper %{buildroot}%{_bindir}/droboview-root
mkdir -p %{buildroot}/etc/security/console.apps
mkdir -p %{buildroot}/etc/pam.d
install -p -m 644 %{SOURCE2} %{buildroot}/etc/security/console.apps/droboview-root
install -p -m 644 droboview.pam %{buildroot}/etc/pam.d/droboview-root

%files
%doc CHANGES.txt CHANGES.html COPYING DEVELOPERS.txt DEVELOPERS.html DroboFirmwareWishes.txt QA.txt README.txt README.html drobom.html index.txt index.html
%doc %{_datadir}/%{name}-doc/*.html
%{_bindir}/drobom
%{python_sitelibdir_noarch}/Drobo*
%{_mandir}/man8/drobom.8*

%files gui
%doc droboview.html
%config %{_sysconfdir}/security/console.apps/droboview-root
%config %{_sysconfdir}/pam.d/droboview-root
%{_bindir}/droboview
%{_bindir}/droboview-root
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/Drobo*
%{_mandir}/man8/droboview.8*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.2.2-alt1_13
- update to new release by fcimport

* Tue Dec 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.2.2-alt1_12
- initial fc import

